summaryrefslogtreecommitdiff
path: root/debian/openssh-known-hosts.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/openssh-known-hosts.prerm')
-rw-r--r--debian/openssh-known-hosts.prerm45
1 files changed, 45 insertions, 0 deletions
diff --git a/debian/openssh-known-hosts.prerm b/debian/openssh-known-hosts.prerm
new file mode 100644
index 0000000..0a34eba
--- /dev/null
+++ b/debian/openssh-known-hosts.prerm
@@ -0,0 +1,45 @@
+#!/bin/sh
+# prerm script for openssh-known-hosts
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <prerm> `remove'
+# * <old-prerm> `upgrade' <new-version>
+# * <new-prerm> `failed-upgrade' <old-version>
+# * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+# * <deconfigured's-prerm> `deconfigure' `in-favour'
+# <package-being-installed> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ remove|upgrade|deconfigure)
+ ;;
+
+ failed-upgrade)
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+if [ -L /etc/ssh/ssh_known_hosts ] && \
+ [ "`readlink /etc/ssh/ssh_known_hosts`" = /var/lib/openssh-known-hosts/ssh_known_hosts ]; then
+ rm /etc/ssh/ssh_known_hosts
+fi
+
+exit 0
+
+